Ruby master - Bug #11075

Rational literal undocumented
04/18/2015 10:11 PM - steenslag (siep korteling)

Status: Closed
Priority: Normal
Assignee:

Target version:

ruby -v: 222 Backport: 2.0.0: DONTNEED, 2.1: DONE, 2.2:
DONE

Description

From the 2.2.2 docs for the Rational class: "In ruby, you can create rational object with Rational, #to_r or rationalize method."
The new 2/6r literal remains unmentioned.

Associated revisions

Revision f748c14c - 04/30/2015 08:02 AM - hsbt (Hiroshi SHIBATA)

e rational.c: Added documentation for rational literal. [Bug #11075][fix GH-885][ci skip] Patch by @shishir127

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@50406 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 50406 - 04/30/2015 08:02 AM - hsbt (Hiroshi SHIBATA)

e rational.c: Added documentation for rational literal. [Bug #11075][fix GH-885][ci skip] Patch by @shishir127

Revision 50406 - 04/30/2015 08:02 AM - hsbt (Hiroshi SHIBATA)

e rational.c: Added documentation for rational literal. [Bug #11075][fix GH-885][ci skip] Patch by @shishir127

Revision 50406 - 04/30/2015 08:02 AM - hsbt (Hiroshi SHIBATA)

e rational.c: Added documentation for rational literal. [Bug #11075][fix GH-885][ci skip] Patch by @shishir127

Revision 50406 - 04/30/2015 08:02 AM - hsbt (Hiroshi SHIBATA)

e rational.c: Added documentation for rational literal. [Bug #11075][fix GH-885][ci skip] Patch by @shishir127

Revision 50406 - 04/30/2015 08:02 AM - hsbt (Hiroshi SHIBATA)

e rational.c: Added documentation for rational literal. [Bug #11075][fix GH-885][ci skip] Patch by @shishir127

Revision 137514a3 - 05/21/2015 05:02 AM - usa (Usaku NAKAMURA)
merge revision(s) 50406,50407: [Backport #11075]

* rational.c: Added documentation for rational literal.
[Bug #11075] [fix GH-885] [ci skip] Patch by @shishirl27

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_1@50579 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 50579 - 05/21/2015 05:02 AM - usa (Usaku NAKAMURA)
merge revision(s) 50406,50407: [Backport #11075]

* rational.c: Added documentation for rational literal.
[Bug #11075] [fix GH-885][ci skip] Patch by @shishirl27

Revision 9d3a9e97 - 05/23/2015 06:35 PM - nagachika (Tomoyuki Chikanaga)
merge revision(s) 50406,50407: [Backport #11075]

* rational.c: Added documentation for rational literal.
[Bug #11075] [fix GH-885] [ci skip] Patch by @shishirl27

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@50627 b2dd03c8-39d4-4d8f-98ff-823fe690080e

Revision 50627 - 05/23/2015 06:35 PM - nagachika (Tomoyuki Chikanaga)
merge revision(s) 50406,50407: [Backport #11075]

* rational.c: Added documentation for rational literal.
[Bug #11075] [fix GH-885][ci skip] Patch by @shishirl27

History

#1 - 04/30/2015 08:03 AM - hsbt (Hiroshi SHIBATA)
- Status changed from Open to Closed

Applied in changeset r50406.

e rational.c: Added documentation for rational literal. [Bug #11075][fix GH-885][ci skip] Patch by shishir127 (Shishir Joshi)

#2 - 05/21/2015 01:45 AM - usa (Usaku NAKAMURA)
- Backport changed from 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2: UNKNOWN to 2.0.0: DONTNEED, 2.1: REQUIRED, 2.2: REQUIRED

#3 - 05/21/2015 05:02 AM - usa (Usaku NAKAMURA)
- Backport changed from 2.0.0: DONTNEED, 2.1: REQUIRED, 2.2: REQUIRED to 2.0.0: DONTNEED, 2.1: DONE, 2.2: REQUIRED

ruby_2_1r50579 merged revision(s) 50406,50407.

#4 - 05/23/2015 06:36 PM - nagachika (Tomoyuki Chikanaga)
- Backport changed from 2.0.0: DONTNEED, 2.1: DONE, 2.2: REQUIRED to 2.0.0: DONTNEED, 2.1: DONE, 2.2: DONE

Backported into ruby_2_2 at r50627.
